Subject: bug#29227: closed (Re: [bug#29755] [PATCH] Fix gourmet)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 17 Dec 2017 16:26:02 +0000

Your bug report

#29227: Gourmet crashes

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29227: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29227
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#29755] [PATCH] Fix gourmet
From: [email-masked] (Ludovic Courtès)
To: Mark Meyer <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 17 Dec 2017 17:25:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Mark,

Mark Meyer <[email-masked]> skribis:

> This patch introduces a custom install phase for the gourmet variable,
> because the combination of --root=/ and --prefix=/gnu/store/... will
> lead to the generated paths in settings.py ending up with no preceding
> slash. This means that the base dir in setting py is set to
> 'gnu/store/...gourmet...' instead of '/gnu/store/...gourmet...'.
>
> This also adds another input to enable a plugin.
>
> This is in response to guix #29227 and should fix the crash that is
> observed.

[...]

> From 3ffb47334201539e66eaf9cba6bd54ed2330e9ee Mon Sep 17 00:00:00 2001
> From: Mark Meyer <[email-masked]>
> Date: Sun, 17 Dec 2017 14:08:17 +0100
> Subject: [PATCH] gnu: gourmet: Fix runtime failure and enhance plugin.
>
> * gnu/packages/nutrition.scm (gourmet)[inputs]: Add python-lxml.
> [arguments]: Custom install phase.

Awesome, I added “Fixes” and “Reported by” lines to the commit log and
pushed as 217f704c6aa6a95caea0ebb7a252b8b2f1d78860.

Thanks!

Ludo’.

Subject: Gourmet crashes
From: Caleb Herbert <[email-masked]>
To: [email-masked]
Date: Thu, 09 Nov 2017 10:18:54 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Gourmet crashed.

Description:	Trisquel GNU/Linux 7.0, Belenos
guix (GNU Guix) bb27eb0dbfa27d4aeb7525ee5ef70f624506af0b
/gnu/store/d0gp66bh3d7bqci8psgr8w6vpsw9hg8a-profile/bin/gourmet

Log:

        Script started on Wed 08 Nov 2017 02:21:42 AM CST
        cal@leela:~/Desktop$ which gourmet
        /gnu/store/d0gp66bh3d7bqci8psgr8w6vpsw9hg8a-profile/bin/gourmet
        cal@leela:~/Desktop$ gourmet
        
        ** (process:12494): [1;33mWARNING[0m **: Trying to register gtype 'GMountMountFlags' as enum when in fact it is of type 'GFlags'
        
        ** (process:12494): [1;33mWARNING[0m **: Trying to register gtype 'GDriveStartFlags' as enum when in fact it is of type 'GFlags'
        
        ** (process:12494): [1;33mWARNING[0m **: Trying to register gtype 'GSocketMsgFlags' as enum when in fact it is of type 'GFlags'
        
        (.gourmet-real:12494): Gtk-[1;33mWARNING[0m **: Unable to locate theme engine in module_path: "murrine",
        
        (.gourmet-real:12494): Gtk-[1;33mWARNING[0m **: Unable to locate theme engine in module_path: "murrine",
        
        (.gourmet-real:12494): Gtk-[1;33mWARNING[0m **: Unable to locate theme engine in module_path: "murrine",
        
        (.gourmet-real:12494): Gtk-[1;33mWARNING[0m **: Unable to locate theme engine in module_path: "murrine",
        
        (.gourmet-real:12494): Gtk-[1;33mWARNING[0m **: Unable to locate theme engine in module_path: "murrine",
        
        (.gourmet-real:12494): Gtk-[1;33mWARNING[0m **: Unable to locate theme engine in module_path: "murrine",
        
        (.gourmet-real:12494): Gtk-[1;33mWARNING[0m **: Unable to locate theme engine in module_path: "murrine",
        
        (.gourmet-real:12494): Gtk-[1;33mWARNING[0m **: Unable to locate theme engine in module_path: "murrine",
        
        (.gourmet-real:12494): Gtk-[1;33mWARNING[0m **: Unable to locate theme engine in module_path: "murrine",
        
        (.gourmet-real:12494): Gtk-[1;33mWARNING[0m **: Unable to locate theme engine in module_path: "murrine",
        
        (.gourmet-real:12494): Gtk-[1;33mWARNING[0m **: Unable to locate theme engine in module_path: "murrine",
        
        (.gourmet-real:12494): Gtk-[1;33mWARNING[0m **: Unable to locate theme engine in module_path: "murrine",
        
        (.gourmet-real:12494): Gtk-[1;33mWARNING[0m **: Unable to locate theme engine in module_path: "murrine",
        
        (.gourmet-real:12494): Gtk-[1;33mWARNING[0m **: Unable to locate theme engine in module_path: "murrine",
        
        (.gourmet-real:12494): Gtk-[1;33mWARNING[0m **: Unable to locate theme engine in module_path: "murrine",
        
        (.gourmet-real:12494): Gtk-[1;33mWARNING[0m **: Unable to locate theme engine in module_path: "murrine",
        
        (.gourmet-real:12494): Gtk-[1;33mWARNING[0m **: Unable to locate theme engine in module_path: "murrine",
        
        (.gourmet-real:12494): Gtk-[1;33mWARNING[0m **: Unable to locate theme engine in module_path: "murrine",
        
        (.gourmet-real:12494): Gtk-[1;33mWARNING[0m **: Unable to locate theme engine in module_path: "murrine",
        
        (.gourmet-real:12494): Gtk-[1;33mWARNING[0m **: Unable to locate theme engine in module_path: "murrine",
        
        (.gourmet-real:12494): Gtk-[1;33mWARNING[0m **: Unable to locate theme engine in module_path: "murrine",
        
        (.gourmet-real:12494): Gtk-[1;33mWARNING[0m **: Unable to locate theme engine in module_path: "murrine",
        Traceback (most recent call last):
          File "/gnu/store/mfnwbma7cp23dcjxhq2h246ka964082g-gourmet-0.17.4/bin/.gourmet-real", line 16, in <module>
            from gourmet import GourmetRecipeManager
          File "/gnu/store/mfnwbma7cp23dcjxhq2h246ka964082g-gourmet-0.17.4/lib/python2.7/site-packages/gourmet/__init__.py", line 5, in <module>
            import gglobals
          File "/gnu/store/mfnwbma7cp23dcjxhq2h246ka964082g-gourmet-0.17.4/lib/python2.7/site-packages/gourmet/gglobals.py", line 174, in <module>
            add_icon(os.path.join(imagedir,filename),stock_id,label,modifier,keyval)
          File "/gnu/store/mfnwbma7cp23dcjxhq2h246ka964082g-gourmet-0.17.4/lib/python2.7/site-packages/gourmet/gglobals.py", line 159, in add_icon
            pb = gtk.gdk.pixbuf_new_from_file(file_name)
        glib.GError: Failed to open file 'gnu/store/mfnwbma7cp23dcjxhq2h246ka964082g-gourmet-0.17.4/share/gourmet/images/AddToShoppingList.png': No such file or directory
        cal@leela:~/Desktop$ exit
        exit
        
        Script done on Wed 08 Nov 2017 02:21:56 AM CST

I don't know what other information I could collect that would be
helpful, but if there is, I'll report it.

-- 
Caleb Herbert
http://bluehome.net/csh/pubkey